set(NETGEN_VERSION "6.2-dev")

get_filename_component(NETGEN_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

get_filename_component(NETGEN_DIR "${NETGEN_CMAKE_DIR}/../../../" ABSOLUTE)

set(NETGEN_COMPILE_DEFINITIONS "HAVE_DLFCN_H;NETGEN_VERSION=\"6.2-dev\";TCL;OPENGL;USE_TOGL_2;TOGL_X11;NG_PYTHON;PARALLEL;METIS;OCCGEOMETRY;_OCC64")

get_filename_component(NETGEN_INCLUDE_DIR "${NETGEN_CMAKE_DIR}/../../../include/netgen" ABSOLUTE)
get_filename_component(NETGEN_BINARY_DIR "${NETGEN_CMAKE_DIR}/../../../bin" ABSOLUTE)
get_filename_component(NETGEN_LIBRARY_DIR "${NETGEN_CMAKE_DIR}/../../arm-linux-gnueabihf/netgen" ABSOLUTE)
get_filename_component(NETGEN_PYTHON_DIR "${NETGEN_CMAKE_DIR}/../../python3/dist-packages" ABSOLUTE)
get_filename_component(NETGEN_RESOURCE_DIR "${NETGEN_CMAKE_DIR}/../../../share" ABSOLUTE)

set(NETGEN_SOURCE_DIR "/build/netgen-H7sHEa/netgen-6.2.1804+dfsg1")

set(NETGEN_INCLUDE_DIRS "${NETGEN_INCLUDE_DIR}/include;${NETGEN_INCLUDE_DIR}")
set(NETGEN_CMAKE_THREAD_LIBS_INIT "-lpthread")
set(NETGEN_FFMPEG_LIBRARIES "")
set(NETGEN_JPEG_INCLUDE_DIR "")
set(NETGEN_JPEG_LIBRARIES "")
set(NETGEN_LIBTOGL "togl")
set(NETGEN_METIS_INCLUDE_DIR "/usr/include")
set(NETGEN_METIS_LIBRARY "/usr/lib/arm-linux-gnueabihf/libmetis.so")
set(NETGEN_MKL_LIBRARIES "")
set(NETGEN_MPI_CXX_INCLUDE_PATH "/usr/lib/arm-linux-gnueabihf/openmpi/include/openmpi;/usr/lib/arm-linux-gnueabihf/openmpi/include")
set(NETGEN_MPI_CXX_LIBRARIES "/usr/lib/arm-linux-gnueabihf/openmpi/lib/libmpi_cxx.so;/usr/lib/arm-linux-gnueabihf/openmpi/lib/libmpi.so")
set(NETGEN_OCC_INCLUDE_DIR "/usr/include/occt")
set(NETGEN_OCC_LIBRARIES_BIN "")
set(NETGEN_OCC_LIBRARIES "/usr/lib/arm-linux-gnueabihf/libTKBO.so;/usr/lib/arm-linux-gnueabihf/libTKBool.so;/usr/lib/arm-linux-gnueabihf/libTKBRep.so;/usr/lib/arm-linux-gnueabihf/libTKCAF.so;/usr/lib/arm-linux-gnueabihf/libTKCDF.so;/usr/lib/arm-linux-gnueabihf/libTKernel.so;/usr/lib/arm-linux-gnueabihf/libTKG2d.so;/usr/lib/arm-linux-gnueabihf/libTKG3d.so;/usr/lib/arm-linux-gnueabihf/libTKGeomAlgo.so;/usr/lib/arm-linux-gnueabihf/libTKGeomBase.so;/usr/lib/arm-linux-gnueabihf/libTKHLR.so;/usr/lib/arm-linux-gnueabihf/libTKIGES.so;/usr/lib/arm-linux-gnueabihf/libTKLCAF.so;/usr/lib/arm-linux-gnueabihf/libTKMath.so;/usr/lib/arm-linux-gnueabihf/libTKMesh.so;/usr/lib/arm-linux-gnueabihf/libTKOffset.so;/usr/lib/arm-linux-gnueabihf/libTKPrim.so;/usr/lib/arm-linux-gnueabihf/libTKService.so;/usr/lib/arm-linux-gnueabihf/libTKShHealing.so;/usr/lib/arm-linux-gnueabihf/libTKSTEP.so;/usr/lib/arm-linux-gnueabihf/libTKSTEP209.so;/usr/lib/arm-linux-gnueabihf/libTKSTEPAttr.so;/usr/lib/arm-linux-gnueabihf/libTKSTEPBase.so;/usr/lib/arm-linux-gnueabihf/libTKSTL.so;/usr/lib/arm-linux-gnueabihf/libTKTopAlgo.so;/usr/lib/arm-linux-gnueabihf/libTKV3d.so;/usr/lib/arm-linux-gnueabihf/libTKXCAF.so;/usr/lib/arm-linux-gnueabihf/libTKXDEIGES.so;/usr/lib/arm-linux-gnueabihf/libTKXDESTEP.so;/usr/lib/arm-linux-gnueabihf/libTKXSBase.so")
set(NETGEN_OCC_LIBRARY_DIR "/usr/lib/arm-linux-gnueabihf")
set(NETGEN_OPENGL_LIBRARIES "/usr/lib/arm-linux-gnueabihf/libGL.so;/usr/lib/arm-linux-gnueabihf/libGLU.so")
set(NETGEN_PYTHON_EXECUTABLE "/usr/bin/python3")
set(NETGEN_PYTHON_INCLUDE_DIRS "/usr/include/python3.7m")
set(NETGEN_PYTHON_LIBRARIES "/usr/lib/arm-linux-gnueabihf/libpython3.7m.so")
set(NETGEN_TCL_INCLUDE_PATH "/usr/include/tcl")
set(NETGEN_TCL_LIBRARY "/usr/lib/arm-linux-gnueabihf/libtcl.so")
set(NETGEN_TK_DND_LIBRARY "")
set(NETGEN_TK_INCLUDE_PATH "/usr/include/tcl")
set(NETGEN_TK_LIBRARY "/usr/lib/arm-linux-gnueabihf/libtk.so")
set(NETGEN_X11_X11_LIB "/usr/lib/arm-linux-gnueabihf/libX11.so")
set(NETGEN_X11_Xmu_LIB "/usr/lib/arm-linux-gnueabihf/libXmu.so")
set(NETGEN_ZLIB_INCLUDE_DIRS "/usr/include")
set(NETGEN_ZLIB_LIBRARIES "/usr/lib/arm-linux-gnueabihf/libz.so")

set(NETGEN_USE_GUI ON)
set(NETGEN_USE_PYTHON ON)
set(NETGEN_USE_MPI ON)
set(NETGEN_USE_OCC ON)
set(NETGEN_USE_JPEG OFF)
set(NETGEN_USE_MPEG OFF)
set(NETGEN_INTEL_MIC OFF)
set(NETGEN_INSTALL_PROFILES OFF)
set(NETGEN_USE_CCACHE OFF)

set(NETGEN_PYTHON_RPATH "../../arm-linux-gnueabihf/netgen")
set(NETGEN_RPATH_TOKEN "$ORIGIN")

set(NETGEN_INSTALL_DIR_PYTHON lib/python3/dist-packages)
set(NETGEN_INSTALL_DIR_BIN bin)
set(NETGEN_INSTALL_DIR_LIB lib/arm-linux-gnueabihf/netgen)
set(NETGEN_INSTALL_DIR_INCLUDE include/netgen)
set(NETGEN_INSTALL_DIR_CMAKE lib/cmake/netgen)
set(NETGEN_INSTALL_DIR_RES share)

include(${CMAKE_CURRENT_LIST_DIR}/netgen-targets.cmake)
message(STATUS "Found Netgen: ${CMAKE_CURRENT_LIST_DIR}")
